com.sun.jna

## Interface FromNativeConverter

All Known Subinterfaces:
  TypeConverter

All Known Implementing Classes:
  EnumConverter, NativeMappedConverter

    public interface FromNativeConverter

Define conversion from a native type to the appropriate Java type.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `fromNative(java.lang.Object nativeValue, FromNativeContext context)` Convert the given native object into its Java representation using the given context.
`java.lang.Class<?>` `nativeType()` Indicate the native type used by this converter.

### Method Detail

#### fromNative

    java.lang.Object fromNative(java.lang.Object nativeValue,
                                FromNativeContext context)

Convert the given native object into its Java representation using the given context.

#### nativeType

    java.lang.Class<?> nativeType()

Indicate the native type used by this converter.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.